#ifndef K1IOPPRM0_H_INCLUDED
#define K1IOPPRM0_H_INCLUDED
#define SYSTEM_NAME_STRING_LOWER "k1iopprm0"
#define PRM0_ADC_DT 	 0
#define PRM0_DAC_DT 	 1
#define MAX_FIR 	 0
#define MAX_FIR_POLY 	 0

#define BUILD_SVN_VERSION_NO 	 "3398M"

typedef struct CDS_EPICS_IN {
	int vmeReset;
	int ipcDiagReset;
	int burtRestore;
	int dcuId;
	int diagReset;
	int dacDuoSet;
	int overflowReset;
} CDS_EPICS_IN;

typedef struct CDS_EPICS_OUT {
	int epicsSync;
	int timeErr;
	int adcWaitTime;
	int diagWord;
	int timeDiag;
	int cpuMeter;
	int cpuMeterMax;
	int gdsMon[32];
	int diags[15];
	int overflowAdc[12][32];
	int overflowDac[12][16];
	int dacValue[12][16];
	int ovAccum;
	int statAdc[16];
	int statDac[16];
	int awgtpmanGPS;
	int tpCnt;
	int stateWord;
	int dcuId;
	int cycle;
} CDS_EPICS_OUT;

typedef struct IOP {
	double PRM0_MADC0_EPICS_CH9;
	double PRM0_MADC0_EPICS_CH8;
	double PRM0_MADC0_EPICS_CH7;
	double PRM0_MADC0_EPICS_CH6;
	double PRM0_MADC0_EPICS_CH5;
	double PRM0_MADC0_EPICS_CH4;
	double PRM0_MADC0_EPICS_CH31;
	double PRM0_MADC0_EPICS_CH30;
	double PRM0_MADC0_EPICS_CH3;
	double PRM0_MADC0_EPICS_CH29;
	double PRM0_MADC0_EPICS_CH28;
	double PRM0_MADC0_EPICS_CH27;
	double PRM0_MADC0_EPICS_CH26;
	double PRM0_MADC0_EPICS_CH25;
	double PRM0_MADC0_EPICS_CH24;
	double PRM0_MADC0_EPICS_CH23;
	double PRM0_MADC0_EPICS_CH22;
	double PRM0_MADC0_EPICS_CH21;
	double PRM0_MADC0_EPICS_CH20;
	double PRM0_MADC0_EPICS_CH2;
	double PRM0_MADC0_EPICS_CH19;
	double PRM0_MADC0_EPICS_CH18;
	double PRM0_MADC0_EPICS_CH17;
	double PRM0_MADC0_EPICS_CH16;
	double PRM0_MADC0_EPICS_CH15;
	double PRM0_MADC0_EPICS_CH14;
	double PRM0_MADC0_EPICS_CH13;
	double PRM0_MADC0_EPICS_CH12;
	double PRM0_MADC0_EPICS_CH11;
	double PRM0_MADC0_EPICS_CH10;
	double PRM0_MADC0_EPICS_CH1;
	double PRM0_MADC0_EPICS_CH0;
	double PRM0_TDS_MON;
} IOP;



#define MAX_MODULES 	 2
#define MAX_FILTERS 	 20

typedef struct CDS_EPICS {
	CDS_EPICS_IN epicsInput;
	CDS_EPICS_OUT epicsOutput;
	IOP iop;
} CDS_EPICS;
#define TARGET_HOST_NAME k1prm
#endif
