#ifndef K1ISC_H_INCLUDED
#define K1ISC_H_INCLUDED
#define SYSTEM_NAME_STRING_LOWER "k1isc"
#define ISC_REFL_PDV1_DC 	 0
#define ISC_REFL_PDV1_RF17_I 	 1
#define ISC_REFL_PDV1_RF17_Q 	 2
#define ISC_REFL_PDV1_RF45_I 	 3
#define ISC_REFL_PDV1_RF45_Q 	 4
#define ISC_REFL_PDA1_DC 	 5
#define ISC_REFL_PDA1_RF17_I 	 6
#define ISC_REFL_PDA1_RF17_Q 	 7
#define ISC_REFL_PDA1_RF45_I 	 8
#define ISC_REFL_PDA1_RF45_Q 	 9
#define ISC_REFLNRSB_PDA1_DC 	 10
#define ISC_REFLNRSB_PDA1_RF39_I 	 11
#define ISC_REFLNRSB_PDA1_RF39_Q 	 12
#define ISC_REFLNRSB_PDA1_RF9_I 	 13
#define ISC_REFLNRSB_PDA1_RF9_Q 	 14
#define ISC_POY_PDA1_DC 	 15
#define ISC_POY_PDA1_RF17_I 	 16
#define ISC_POY_PDA1_RF17_Q 	 17
#define ISC_POY_PDA1_RF45_I 	 18
#define ISC_POY_PDA1_RF45_Q 	 19
#define ISC_POX_PDA1_DC 	 20
#define ISC_POX_PDA1_RF17_I 	 21
#define ISC_POX_PDA1_RF17_Q 	 22
#define ISC_POX_PDA1_RF45_I 	 23
#define ISC_POX_PDA1_RF45_Q 	 24
#define ISC_POS_PDA1_DC 	 25
#define ISC_POS_PDA1_RF34_I 	 26
#define ISC_POS_PDA1_RF34_Q 	 27
#define ISC_POS_PDA1_RF90_I 	 28
#define ISC_POS_PDA1_RF90_Q 	 29
#define ISC_POP_PDV1_DC 	 30
#define ISC_POP_PDV1_RF17_I 	 31
#define ISC_POP_PDV1_RF17_Q 	 32
#define ISC_POP_PDV1_RF45_I 	 33
#define ISC_POP_PDV1_RF45_Q 	 34
#define ISC_POP_PDA2_DC 	 35
#define ISC_POP_PDA2_RF34_I 	 36
#define ISC_POP_PDA2_RF34_Q 	 37
#define ISC_POP_PDA2_RF90_I 	 38
#define ISC_POP_PDA2_RF90_Q 	 39
#define ISC_POP_PDA1_DC 	 40
#define ISC_POP_PDA1_RF17_I 	 41
#define ISC_POP_PDA1_RF17_Q 	 42
#define ISC_POP_PDA1_RF45_I 	 43
#define ISC_POP_PDA1_RF45_Q 	 44
#define ISC_OMCT_PDV1_DC 	 45
#define ISC_OMCT_PDA1_DC 	 46
#define ISC_AS_PDV1_DC 	 47
#define ISC_AS_PDV1_RF17_I 	 48
#define ISC_AS_PDV1_RF17_Q 	 49
#define ISC_AS_PDA1_DC 	 50
#define ISC_AS_PDA1_RF17_I 	 51
#define ISC_AS_PDA1_RF17_Q 	 52
#define ISC_COMM 	 53
#define ISC_DIFF 	 54
#define ISC_MICH 	 55
#define ISC_PRCL 	 56
#define ISC_SRCL 	 57
#define MAX_FIR 	 0
#define MAX_FIR_POLY 	 0

#define BUILD_SVN_VERSION_NO 	 "3398M"

typedef struct CDS_EPICS_IN {
	int vmeReset;
	int ipcDiagReset;
	int burtRestore;
	int dcuId;
	int diagReset;
	int dacDuoSet;
	int overflowReset;
} CDS_EPICS_IN;

typedef struct CDS_EPICS_OUT {
	int epicsSync;
	int timeErr;
	int adcWaitTime;
	int diagWord;
	int timeDiag;
	int cpuMeter;
	int cpuMeterMax;
	int gdsMon[32];
	int diags[15];
	int overflowAdc[12][32];
	int overflowDac[12][16];
	int dacValue[12][16];
	int ovAccum;
	int statAdc[16];
	int statDac[16];
	int awgtpmanGPS;
	int tpCnt;
	int stateWord;
	int dcuId;
	int cycle;
} CDS_EPICS_OUT;

typedef struct ISC {
	double ISC_SRCL_TRIG_THRESH_ON;
	double ISC_SRCL_TRIG_THRESH_OFF;
	double ISC_SRCL_TRIG_MON;
	double ISC_SRCL_TRIG_INMON;
	double ISC_SRCL_MASK_MON;
	double ISC_SRCL_MASK_FM9;
	double ISC_SRCL_MASK_FM8;
	double ISC_SRCL_MASK_FM7;
	double ISC_SRCL_MASK_FM6;
	double ISC_SRCL_MASK_FM5;
	double ISC_SRCL_MASK_FM4;
	double ISC_SRCL_MASK_FM3;
	double ISC_SRCL_MASK_FM2;
	double ISC_SRCL_MASK_FM10;
	double ISC_SRCL_MASK_FM1;
	double ISC_SRCL_FM_TRIG_WAIT;
	double ISC_SRCL_FM_TRIG_THRESH_ON;
	double ISC_SRCL_FM_TRIG_THRESH_OFF;
	double ISC_SRCL_FM_TRIG_MON_WORD;
	double ISC_SRCL_FM_TRIG_MON;
	int ISC_SRCL_FM_TRIG_INVERT;
	double ISC_REFL_PDV1_DC_NORM_MON;
	int ISC_REFL_PDV1_RF17_AWHITEN_SET1;
	int ISC_REFL_PDV1_RF17_AWHITEN_SET2;
	int ISC_REFL_PDV1_RF17_AWHITEN_SET3;
	double ISC_REFL_PDV1_RF17_I_MON;
	double ISC_REFL_PDV1_RF17_I_NORM_MON;
	double ISC_REFL_PDV1_RF17_PHASE[2][2];
	double ISC_REFL_PDV1_RF17_Q_MON;
	double ISC_REFL_PDV1_RF17_Q_NORM_MON;
	int ISC_REFL_PDV1_RF45_AWHITEN_SET1;
	int ISC_REFL_PDV1_RF45_AWHITEN_SET2;
	int ISC_REFL_PDV1_RF45_AWHITEN_SET3;
	double ISC_REFL_PDV1_RF45_I_MON;
	double ISC_REFL_PDV1_RF45_I_NORM_MON;
	double ISC_REFL_PDV1_RF45_PHASE[2][2];
	double ISC_REFL_PDV1_RF45_Q_MON;
	double ISC_REFL_PDV1_RF45_Q_NORM_MON;
	double ISC_REFL_PDA1_DC_NORM_MON;
	int ISC_REFL_PDA1_RF17_AWHITEN_SET1;
	int ISC_REFL_PDA1_RF17_AWHITEN_SET2;
	int ISC_REFL_PDA1_RF17_AWHITEN_SET3;
	double ISC_REFL_PDA1_RF17_I_MON;
	double ISC_REFL_PDA1_RF17_I_NORM_MON;
	double ISC_REFL_PDA1_RF17_PHASE[2][2];
	double ISC_REFL_PDA1_RF17_Q_MON;
	double ISC_REFL_PDA1_RF17_Q_NORM_MON;
	int ISC_REFL_PDA1_RF45_AWHITEN_SET1;
	int ISC_REFL_PDA1_RF45_AWHITEN_SET2;
	int ISC_REFL_PDA1_RF45_AWHITEN_SET3;
	double ISC_REFL_PDA1_RF45_I_MON;
	double ISC_REFL_PDA1_RF45_I_NORM_MON;
	double ISC_REFL_PDA1_RF45_PHASE[2][2];
	double ISC_REFL_PDA1_RF45_Q_MON;
	double ISC_REFL_PDA1_RF45_Q_NORM_MON;
	double ISC_REFLNRSB_PDA1_DC_NORM_MON;
	int ISC_REFLNRSB_PDA1_RF39_AWHITEN_SET1;
	int ISC_REFLNRSB_PDA1_RF39_AWHITEN_SET2;
	int ISC_REFLNRSB_PDA1_RF39_AWHITEN_SET3;
	double ISC_REFLNRSB_PDA1_RF39_I_MON;
	double ISC_REFLNRSB_PDA1_RF39_I_NORM_MON;
	double ISC_REFLNRSB_PDA1_RF39_PHASE[2][2];
	double ISC_REFLNRSB_PDA1_RF39_Q_MON;
	double ISC_REFLNRSB_PDA1_RF39_Q_NORM_MON;
	int ISC_REFLNRSB_PDA1_RF9_AWHITEN_SET1;
	int ISC_REFLNRSB_PDA1_RF9_AWHITEN_SET2;
	int ISC_REFLNRSB_PDA1_RF9_AWHITEN_SET3;
	double ISC_REFLNRSB_PDA1_RF9_I_MON;
	double ISC_REFLNRSB_PDA1_RF9_I_NORM_MON;
	double ISC_REFLNRSB_PDA1_RF9_PHASE[2][2];
	double ISC_REFLNRSB_PDA1_RF9_Q_MON;
	double ISC_REFLNRSB_PDA1_RF9_Q_NORM_MON;
	double ISC_PRCL_TRIG_THRESH_ON;
	double ISC_PRCL_TRIG_THRESH_OFF;
	double ISC_PRCL_TRIG_MON;
	double ISC_PRCL_TRIG_INMON;
	double ISC_PRCL_MASK_MON;
	double ISC_PRCL_MASK_FM9;
	double ISC_PRCL_MASK_FM8;
	double ISC_PRCL_MASK_FM7;
	double ISC_PRCL_MASK_FM6;
	double ISC_PRCL_MASK_FM5;
	double ISC_PRCL_MASK_FM4;
	double ISC_PRCL_MASK_FM3;
	double ISC_PRCL_MASK_FM2;
	double ISC_PRCL_MASK_FM10;
	double ISC_PRCL_MASK_FM1;
	double ISC_PRCL_FM_TRIG_WAIT;
	double ISC_PRCL_FM_TRIG_THRESH_ON;
	double ISC_PRCL_FM_TRIG_THRESH_OFF;
	double ISC_PRCL_FM_TRIG_MON_WORD;
	double ISC_PRCL_FM_TRIG_MON;
	int ISC_PRCL_FM_TRIG_INVERT;
	double ISC_POY_PDA1_DC_NORM_MON;
	int ISC_POY_PDA1_RF17_AWHITEN_SET1;
	int ISC_POY_PDA1_RF17_AWHITEN_SET2;
	int ISC_POY_PDA1_RF17_AWHITEN_SET3;
	double ISC_POY_PDA1_RF17_I_MON;
	double ISC_POY_PDA1_RF17_I_NORM_MON;
	double ISC_POY_PDA1_RF17_PHASE[2][2];
	double ISC_POY_PDA1_RF17_Q_MON;
	double ISC_POY_PDA1_RF17_Q_NORM_MON;
	int ISC_POY_PDA1_RF45_AWHITEN_SET1;
	int ISC_POY_PDA1_RF45_AWHITEN_SET2;
	int ISC_POY_PDA1_RF45_AWHITEN_SET3;
	double ISC_POY_PDA1_RF45_I_MON;
	double ISC_POY_PDA1_RF45_I_NORM_MON;
	double ISC_POY_PDA1_RF45_PHASE[2][2];
	double ISC_POY_PDA1_RF45_Q_MON;
	double ISC_POY_PDA1_RF45_Q_NORM_MON;
	double ISC_POX_PDA1_DC_NORM_MON;
	int ISC_POX_PDA1_RF17_AWHITEN_SET1;
	int ISC_POX_PDA1_RF17_AWHITEN_SET2;
	int ISC_POX_PDA1_RF17_AWHITEN_SET3;
	double ISC_POX_PDA1_RF17_I_MON;
	double ISC_POX_PDA1_RF17_I_NORM_MON;
	double ISC_POX_PDA1_RF17_PHASE[2][2];
	double ISC_POX_PDA1_RF17_Q_MON;
	double ISC_POX_PDA1_RF17_Q_NORM_MON;
	int ISC_POX_PDA1_RF45_AWHITEN_SET1;
	int ISC_POX_PDA1_RF45_AWHITEN_SET2;
	int ISC_POX_PDA1_RF45_AWHITEN_SET3;
	double ISC_POX_PDA1_RF45_I_MON;
	double ISC_POX_PDA1_RF45_I_NORM_MON;
	double ISC_POX_PDA1_RF45_PHASE[2][2];
	double ISC_POX_PDA1_RF45_Q_MON;
	double ISC_POX_PDA1_RF45_Q_NORM_MON;
	double ISC_POS_PDA1_DC_NORM_MON;
	int ISC_POS_PDA1_RF34_AWHITEN_SET1;
	int ISC_POS_PDA1_RF34_AWHITEN_SET2;
	int ISC_POS_PDA1_RF34_AWHITEN_SET3;
	double ISC_POS_PDA1_RF34_I_MON;
	double ISC_POS_PDA1_RF34_I_NORM_MON;
	double ISC_POS_PDA1_RF34_PHASE[2][2];
	double ISC_POS_PDA1_RF34_Q_MON;
	double ISC_POS_PDA1_RF34_Q_NORM_MON;
	int ISC_POS_PDA1_RF90_AWHITEN_SET1;
	int ISC_POS_PDA1_RF90_AWHITEN_SET2;
	int ISC_POS_PDA1_RF90_AWHITEN_SET3;
	double ISC_POS_PDA1_RF90_I_MON;
	double ISC_POS_PDA1_RF90_I_NORM_MON;
	double ISC_POS_PDA1_RF90_PHASE[2][2];
	double ISC_POS_PDA1_RF90_Q_MON;
	double ISC_POS_PDA1_RF90_Q_NORM_MON;
	double ISC_POP_PDV1_DC_NORM_MON;
	int ISC_POP_PDV1_RF17_AWHITEN_SET1;
	int ISC_POP_PDV1_RF17_AWHITEN_SET2;
	int ISC_POP_PDV1_RF17_AWHITEN_SET3;
	double ISC_POP_PDV1_RF17_I_MON;
	double ISC_POP_PDV1_RF17_I_NORM_MON;
	double ISC_POP_PDV1_RF17_PHASE[2][2];
	double ISC_POP_PDV1_RF17_Q_MON;
	double ISC_POP_PDV1_RF17_Q_NORM_MON;
	int ISC_POP_PDV1_RF45_AWHITEN_SET1;
	int ISC_POP_PDV1_RF45_AWHITEN_SET2;
	int ISC_POP_PDV1_RF45_AWHITEN_SET3;
	double ISC_POP_PDV1_RF45_I_MON;
	double ISC_POP_PDV1_RF45_I_NORM_MON;
	double ISC_POP_PDV1_RF45_PHASE[2][2];
	double ISC_POP_PDV1_RF45_Q_MON;
	double ISC_POP_PDV1_RF45_Q_NORM_MON;
	double ISC_POP_PDA2_DC_NORM_MON;
	int ISC_POP_PDA2_RF34_AWHITEN_SET1;
	int ISC_POP_PDA2_RF34_AWHITEN_SET2;
	int ISC_POP_PDA2_RF34_AWHITEN_SET3;
	double ISC_POP_PDA2_RF34_I_MON;
	double ISC_POP_PDA2_RF34_I_NORM_MON;
	double ISC_POP_PDA2_RF34_PHASE[2][2];
	double ISC_POP_PDA2_RF34_Q_MON;
	double ISC_POP_PDA2_RF34_Q_NORM_MON;
	int ISC_POP_PDA2_RF90_AWHITEN_SET1;
	int ISC_POP_PDA2_RF90_AWHITEN_SET2;
	int ISC_POP_PDA2_RF90_AWHITEN_SET3;
	double ISC_POP_PDA2_RF90_I_MON;
	double ISC_POP_PDA2_RF90_I_NORM_MON;
	double ISC_POP_PDA2_RF90_PHASE[2][2];
	double ISC_POP_PDA2_RF90_Q_MON;
	double ISC_POP_PDA2_RF90_Q_NORM_MON;
	double ISC_POP_PDA1_DC_NORM_MON;
	int ISC_POP_PDA1_RF17_AWHITEN_SET1;
	int ISC_POP_PDA1_RF17_AWHITEN_SET2;
	int ISC_POP_PDA1_RF17_AWHITEN_SET3;
	double ISC_POP_PDA1_RF17_I_MON;
	double ISC_POP_PDA1_RF17_I_NORM_MON;
	double ISC_POP_PDA1_RF17_PHASE[2][2];
	double ISC_POP_PDA1_RF17_Q_MON;
	double ISC_POP_PDA1_RF17_Q_NORM_MON;
	int ISC_POP_PDA1_RF45_AWHITEN_SET1;
	int ISC_POP_PDA1_RF45_AWHITEN_SET2;
	int ISC_POP_PDA1_RF45_AWHITEN_SET3;
	double ISC_POP_PDA1_RF45_I_MON;
	double ISC_POP_PDA1_RF45_I_NORM_MON;
	double ISC_POP_PDA1_RF45_PHASE[2][2];
	double ISC_POP_PDA1_RF45_Q_MON;
	double ISC_POP_PDA1_RF45_Q_NORM_MON;
	double ISC_OMCT_PDV1_DC_NORM_MON;
	double ISC_OMCT_PDA1_DC_NORM_MON;
	double ISC_MICH_TRIG_THRESH_ON;
	double ISC_MICH_TRIG_THRESH_OFF;
	double ISC_MICH_TRIG_MON;
	double ISC_MICH_TRIG_INMON;
	double ISC_MICH_MASK_MON;
	double ISC_MICH_MASK_FM9;
	double ISC_MICH_MASK_FM8;
	double ISC_MICH_MASK_FM7;
	double ISC_MICH_MASK_FM6;
	double ISC_MICH_MASK_FM5;
	double ISC_MICH_MASK_FM4;
	double ISC_MICH_MASK_FM3;
	double ISC_MICH_MASK_FM2;
	double ISC_MICH_MASK_FM10;
	double ISC_MICH_MASK_FM1;
	double ISC_MICH_FM_TRIG_WAIT;
	double ISC_MICH_FM_TRIG_THRESH_ON;
	double ISC_MICH_FM_TRIG_THRESH_OFF;
	double ISC_MICH_FM_TRIG_MON_WORD;
	double ISC_MICH_FM_TRIG_MON;
	int ISC_MICH_FM_TRIG_INVERT;
	double ISC_DIFF_TRIG_THRESH_ON;
	double ISC_DIFF_TRIG_THRESH_OFF;
	double ISC_DIFF_TRIG_MON;
	double ISC_DIFF_TRIG_INMON;
	double ISC_DIFF_MASK_MON;
	double ISC_DIFF_MASK_FM9;
	double ISC_DIFF_MASK_FM8;
	double ISC_DIFF_MASK_FM7;
	double ISC_DIFF_MASK_FM6;
	double ISC_DIFF_MASK_FM5;
	double ISC_DIFF_MASK_FM4;
	double ISC_DIFF_MASK_FM3;
	double ISC_DIFF_MASK_FM2;
	double ISC_DIFF_MASK_FM10;
	double ISC_DIFF_MASK_FM1;
	double ISC_DIFF_FM_TRIG_WAIT;
	double ISC_DIFF_FM_TRIG_THRESH_ON;
	double ISC_DIFF_FM_TRIG_THRESH_OFF;
	double ISC_DIFF_FM_TRIG_MON_WORD;
	double ISC_DIFF_FM_TRIG_MON;
	int ISC_DIFF_FM_TRIG_INVERT;
	double ISC_COMM_TRIG_THRESH_ON;
	double ISC_COMM_TRIG_THRESH_OFF;
	double ISC_COMM_TRIG_MON;
	double ISC_COMM_TRIG_INMON;
	double ISC_COMM_MASK_MON;
	double ISC_COMM_MASK_FM9;
	double ISC_COMM_MASK_FM8;
	double ISC_COMM_MASK_FM7;
	double ISC_COMM_MASK_FM6;
	double ISC_COMM_MASK_FM5;
	double ISC_COMM_MASK_FM4;
	double ISC_COMM_MASK_FM3;
	double ISC_COMM_MASK_FM2;
	double ISC_COMM_MASK_FM10;
	double ISC_COMM_MASK_FM1;
	double ISC_COMM_FM_TRIG_WAIT;
	double ISC_COMM_FM_TRIG_THRESH_ON;
	double ISC_COMM_FM_TRIG_THRESH_OFF;
	double ISC_COMM_FM_TRIG_MON_WORD;
	double ISC_COMM_FM_TRIG_MON;
	int ISC_COMM_FM_TRIG_INVERT;
	double ISC_AS_PDV1_DC_NORM_MON;
	int ISC_AS_PDV1_RF17_AWHITEN_SET1;
	int ISC_AS_PDV1_RF17_AWHITEN_SET2;
	int ISC_AS_PDV1_RF17_AWHITEN_SET3;
	double ISC_AS_PDV1_RF17_I_MON;
	double ISC_AS_PDV1_RF17_I_NORM_MON;
	double ISC_AS_PDV1_RF17_PHASE[2][2];
	double ISC_AS_PDV1_RF17_Q_MON;
	double ISC_AS_PDV1_RF17_Q_NORM_MON;
	double ISC_AS_PDA1_DC_NORM_MON;
	int ISC_AS_PDA1_RF17_AWHITEN_SET1;
	int ISC_AS_PDA1_RF17_AWHITEN_SET2;
	int ISC_AS_PDA1_RF17_AWHITEN_SET3;
	double ISC_AS_PDA1_RF17_I_MON;
	double ISC_AS_PDA1_RF17_I_NORM_MON;
	double ISC_AS_PDA1_RF17_PHASE[2][2];
	double ISC_AS_PDA1_RF17_Q_MON;
	double ISC_AS_PDA1_RF17_Q_NORM_MON;
	double ISC_ASPD_DOF_MTRX[5][3];
	int ISC_CONTROL_ENABLE;
	double ISC_OUTPUT_MTRX[11][5];
	double ISC_PD_DOF_MTRX[5][44];
	double ISC_POW_NORM_MTRX[5][21];
	double ISC_TRIG_MTRX[5][22];
} ISC;



#define MAX_MODULES 	 58
#define MAX_FILTERS 	 580

typedef struct CDS_EPICS {
	CDS_EPICS_IN epicsInput;
	CDS_EPICS_OUT epicsOutput;
	ISC isc;
} CDS_EPICS;
#define TARGET_HOST_NAME k1lsc
#endif
