#ifndef K1LSC_H_INCLUDED
#define K1LSC_H_INCLUDED
#define SYSTEM_NAME_STRING_LOWER "k1lsc"
#define LSC_REFL_PDV1_DC 	 0
#define LSC_REFL_PDV1_RF17_I 	 1
#define LSC_REFL_PDV1_RF17_Q 	 2
#define LSC_REFL_PDV1_RF45_I 	 3
#define LSC_REFL_PDV1_RF45_Q 	 4
#define LSC_REFL_PDA1_DC 	 5
#define LSC_REFL_PDA1_RF17_I 	 6
#define LSC_REFL_PDA1_RF17_Q 	 7
#define LSC_REFL_PDA1_RF45_I 	 8
#define LSC_REFL_PDA1_RF45_Q 	 9
#define LSC_REFLNRSB_PDA1_DC 	 10
#define LSC_REFLNRSB_PDA1_RF39_I 	 11
#define LSC_REFLNRSB_PDA1_RF39_Q 	 12
#define LSC_REFLNRSB_PDA1_RF9_I 	 13
#define LSC_REFLNRSB_PDA1_RF9_Q 	 14
#define LSC_POY_PDA1_DC 	 15
#define LSC_POY_PDA1_RF17_I 	 16
#define LSC_POY_PDA1_RF17_Q 	 17
#define LSC_POY_PDA1_RF45_I 	 18
#define LSC_POY_PDA1_RF45_Q 	 19
#define LSC_POX_PDA1_DC 	 20
#define LSC_POX_PDA1_RF17_I 	 21
#define LSC_POX_PDA1_RF17_Q 	 22
#define LSC_POX_PDA1_RF45_I 	 23
#define LSC_POX_PDA1_RF45_Q 	 24
#define LSC_POS_PDA1_DC 	 25
#define LSC_POS_PDA1_RF34_I 	 26
#define LSC_POS_PDA1_RF34_Q 	 27
#define LSC_POS_PDA1_RF90_I 	 28
#define LSC_POS_PDA1_RF90_Q 	 29
#define LSC_POP_PDV1_DC 	 30
#define LSC_POP_PDV1_RF17_I 	 31
#define LSC_POP_PDV1_RF17_Q 	 32
#define LSC_POP_PDV1_RF45_I 	 33
#define LSC_POP_PDV1_RF45_Q 	 34
#define LSC_POP_PDA2_DC 	 35
#define LSC_POP_PDA2_RF34_I 	 36
#define LSC_POP_PDA2_RF34_Q 	 37
#define LSC_POP_PDA2_RF90_I 	 38
#define LSC_POP_PDA2_RF90_Q 	 39
#define LSC_POP_PDA1_DC 	 40
#define LSC_POP_PDA1_RF17_I 	 41
#define LSC_POP_PDA1_RF17_Q 	 42
#define LSC_POP_PDA1_RF45_I 	 43
#define LSC_POP_PDA1_RF45_Q 	 44
#define LSC_OMCT_PDV1_DC 	 45
#define LSC_OMCT_PDA1_DC 	 46
#define LSC_AS_PDV1_DC 	 47
#define LSC_AS_PDV1_RF17_I 	 48
#define LSC_AS_PDV1_RF17_Q 	 49
#define LSC_AS_PDA1_DC 	 50
#define LSC_AS_PDA1_RF17_I 	 51
#define LSC_AS_PDA1_RF17_Q 	 52
#define LSC_COMM 	 53
#define LSC_DIFF 	 54
#define LSC_MICH 	 55
#define LSC_PRCL 	 56
#define LSC_SRCL 	 57
#define MAX_FIR 	 0
#define MAX_FIR_POLY 	 0

#define BUILD_SVN_VERSION_NO 	 "3398M"

typedef struct CDS_EPICS_IN {
	int vmeReset;
	int ipcDiagReset;
	int burtRestore;
	int dcuId;
	int diagReset;
	int dacDuoSet;
	int overflowReset;
} CDS_EPICS_IN;

typedef struct CDS_EPICS_OUT {
	int epicsSync;
	int timeErr;
	int adcWaitTime;
	int diagWord;
	int timeDiag;
	int cpuMeter;
	int cpuMeterMax;
	int gdsMon[32];
	int diags[15];
	int overflowAdc[12][32];
	int overflowDac[12][16];
	int dacValue[12][16];
	int ovAccum;
	int statAdc[16];
	int statDac[16];
	int awgtpmanGPS;
	int tpCnt;
	int stateWord;
	int dcuId;
	int cycle;
} CDS_EPICS_OUT;

typedef struct LSC {
	double LSC_SRCL_TRIG_THRESH_ON;
	double LSC_SRCL_TRIG_THRESH_OFF;
	double LSC_SRCL_TRIG_MON;
	double LSC_SRCL_TRIG_INMON;
	double LSC_SRCL_MASK_MON;
	double LSC_SRCL_MASK_FM9;
	double LSC_SRCL_MASK_FM8;
	double LSC_SRCL_MASK_FM7;
	double LSC_SRCL_MASK_FM6;
	double LSC_SRCL_MASK_FM5;
	double LSC_SRCL_MASK_FM4;
	double LSC_SRCL_MASK_FM3;
	double LSC_SRCL_MASK_FM2;
	double LSC_SRCL_MASK_FM10;
	double LSC_SRCL_MASK_FM1;
	double LSC_SRCL_FM_TRIG_WAIT;
	double LSC_SRCL_FM_TRIG_THRESH_ON;
	double LSC_SRCL_FM_TRIG_THRESH_OFF;
	double LSC_SRCL_FM_TRIG_MON_WORD;
	double LSC_SRCL_FM_TRIG_MON;
	int LSC_SRCL_FM_TRIG_INVERT;
	double LSC_REFL_PDV1_DC_NORM_MON;
	int LSC_REFL_PDV1_RF17_AWHITEN_SET1;
	int LSC_REFL_PDV1_RF17_AWHITEN_SET2;
	int LSC_REFL_PDV1_RF17_AWHITEN_SET3;
	double LSC_REFL_PDV1_RF17_I_MON;
	double LSC_REFL_PDV1_RF17_I_NORM_MON;
	double LSC_REFL_PDV1_RF17_PHASE[2][2];
	double LSC_REFL_PDV1_RF17_Q_MON;
	double LSC_REFL_PDV1_RF17_Q_NORM_MON;
	int LSC_REFL_PDV1_RF45_AWHITEN_SET1;
	int LSC_REFL_PDV1_RF45_AWHITEN_SET2;
	int LSC_REFL_PDV1_RF45_AWHITEN_SET3;
	double LSC_REFL_PDV1_RF45_I_MON;
	double LSC_REFL_PDV1_RF45_I_NORM_MON;
	double LSC_REFL_PDV1_RF45_PHASE[2][2];
	double LSC_REFL_PDV1_RF45_Q_MON;
	double LSC_REFL_PDV1_RF45_Q_NORM_MON;
	double LSC_REFL_PDA1_DC_NORM_MON;
	int LSC_REFL_PDA1_RF17_AWHITEN_SET1;
	int LSC_REFL_PDA1_RF17_AWHITEN_SET2;
	int LSC_REFL_PDA1_RF17_AWHITEN_SET3;
	double LSC_REFL_PDA1_RF17_I_MON;
	double LSC_REFL_PDA1_RF17_I_NORM_MON;
	double LSC_REFL_PDA1_RF17_PHASE[2][2];
	double LSC_REFL_PDA1_RF17_Q_MON;
	double LSC_REFL_PDA1_RF17_Q_NORM_MON;
	int LSC_REFL_PDA1_RF45_AWHITEN_SET1;
	int LSC_REFL_PDA1_RF45_AWHITEN_SET2;
	int LSC_REFL_PDA1_RF45_AWHITEN_SET3;
	double LSC_REFL_PDA1_RF45_I_MON;
	double LSC_REFL_PDA1_RF45_I_NORM_MON;
	double LSC_REFL_PDA1_RF45_PHASE[2][2];
	double LSC_REFL_PDA1_RF45_Q_MON;
	double LSC_REFL_PDA1_RF45_Q_NORM_MON;
	double LSC_REFLNRSB_PDA1_DC_NORM_MON;
	int LSC_REFLNRSB_PDA1_RF39_AWHITEN_SET1;
	int LSC_REFLNRSB_PDA1_RF39_AWHITEN_SET2;
	int LSC_REFLNRSB_PDA1_RF39_AWHITEN_SET3;
	double LSC_REFLNRSB_PDA1_RF39_I_MON;
	double LSC_REFLNRSB_PDA1_RF39_I_NORM_MON;
	double LSC_REFLNRSB_PDA1_RF39_PHASE[2][2];
	double LSC_REFLNRSB_PDA1_RF39_Q_MON;
	double LSC_REFLNRSB_PDA1_RF39_Q_NORM_MON;
	int LSC_REFLNRSB_PDA1_RF9_AWHITEN_SET1;
	int LSC_REFLNRSB_PDA1_RF9_AWHITEN_SET2;
	int LSC_REFLNRSB_PDA1_RF9_AWHITEN_SET3;
	double LSC_REFLNRSB_PDA1_RF9_I_MON;
	double LSC_REFLNRSB_PDA1_RF9_I_NORM_MON;
	double LSC_REFLNRSB_PDA1_RF9_PHASE[2][2];
	double LSC_REFLNRSB_PDA1_RF9_Q_MON;
	double LSC_REFLNRSB_PDA1_RF9_Q_NORM_MON;
	double LSC_PRCL_TRIG_THRESH_ON;
	double LSC_PRCL_TRIG_THRESH_OFF;
	double LSC_PRCL_TRIG_MON;
	double LSC_PRCL_TRIG_INMON;
	double LSC_PRCL_MASK_MON;
	double LSC_PRCL_MASK_FM9;
	double LSC_PRCL_MASK_FM8;
	double LSC_PRCL_MASK_FM7;
	double LSC_PRCL_MASK_FM6;
	double LSC_PRCL_MASK_FM5;
	double LSC_PRCL_MASK_FM4;
	double LSC_PRCL_MASK_FM3;
	double LSC_PRCL_MASK_FM2;
	double LSC_PRCL_MASK_FM10;
	double LSC_PRCL_MASK_FM1;
	double LSC_PRCL_FM_TRIG_WAIT;
	double LSC_PRCL_FM_TRIG_THRESH_ON;
	double LSC_PRCL_FM_TRIG_THRESH_OFF;
	double LSC_PRCL_FM_TRIG_MON_WORD;
	double LSC_PRCL_FM_TRIG_MON;
	int LSC_PRCL_FM_TRIG_INVERT;
	double LSC_POY_PDA1_DC_NORM_MON;
	int LSC_POY_PDA1_RF17_AWHITEN_SET1;
	int LSC_POY_PDA1_RF17_AWHITEN_SET2;
	int LSC_POY_PDA1_RF17_AWHITEN_SET3;
	double LSC_POY_PDA1_RF17_I_MON;
	double LSC_POY_PDA1_RF17_I_NORM_MON;
	double LSC_POY_PDA1_RF17_PHASE[2][2];
	double LSC_POY_PDA1_RF17_Q_MON;
	double LSC_POY_PDA1_RF17_Q_NORM_MON;
	int LSC_POY_PDA1_RF45_AWHITEN_SET1;
	int LSC_POY_PDA1_RF45_AWHITEN_SET2;
	int LSC_POY_PDA1_RF45_AWHITEN_SET3;
	double LSC_POY_PDA1_RF45_I_MON;
	double LSC_POY_PDA1_RF45_I_NORM_MON;
	double LSC_POY_PDA1_RF45_PHASE[2][2];
	double LSC_POY_PDA1_RF45_Q_MON;
	double LSC_POY_PDA1_RF45_Q_NORM_MON;
	double LSC_POX_PDA1_DC_NORM_MON;
	int LSC_POX_PDA1_RF17_AWHITEN_SET1;
	int LSC_POX_PDA1_RF17_AWHITEN_SET2;
	int LSC_POX_PDA1_RF17_AWHITEN_SET3;
	double LSC_POX_PDA1_RF17_I_MON;
	double LSC_POX_PDA1_RF17_I_NORM_MON;
	double LSC_POX_PDA1_RF17_PHASE[2][2];
	double LSC_POX_PDA1_RF17_Q_MON;
	double LSC_POX_PDA1_RF17_Q_NORM_MON;
	int LSC_POX_PDA1_RF45_AWHITEN_SET1;
	int LSC_POX_PDA1_RF45_AWHITEN_SET2;
	int LSC_POX_PDA1_RF45_AWHITEN_SET3;
	double LSC_POX_PDA1_RF45_I_MON;
	double LSC_POX_PDA1_RF45_I_NORM_MON;
	double LSC_POX_PDA1_RF45_PHASE[2][2];
	double LSC_POX_PDA1_RF45_Q_MON;
	double LSC_POX_PDA1_RF45_Q_NORM_MON;
	double LSC_POS_PDA1_DC_NORM_MON;
	int LSC_POS_PDA1_RF34_AWHITEN_SET1;
	int LSC_POS_PDA1_RF34_AWHITEN_SET2;
	int LSC_POS_PDA1_RF34_AWHITEN_SET3;
	double LSC_POS_PDA1_RF34_I_MON;
	double LSC_POS_PDA1_RF34_I_NORM_MON;
	double LSC_POS_PDA1_RF34_PHASE[2][2];
	double LSC_POS_PDA1_RF34_Q_MON;
	double LSC_POS_PDA1_RF34_Q_NORM_MON;
	int LSC_POS_PDA1_RF90_AWHITEN_SET1;
	int LSC_POS_PDA1_RF90_AWHITEN_SET2;
	int LSC_POS_PDA1_RF90_AWHITEN_SET3;
	double LSC_POS_PDA1_RF90_I_MON;
	double LSC_POS_PDA1_RF90_I_NORM_MON;
	double LSC_POS_PDA1_RF90_PHASE[2][2];
	double LSC_POS_PDA1_RF90_Q_MON;
	double LSC_POS_PDA1_RF90_Q_NORM_MON;
	double LSC_POP_PDV1_DC_NORM_MON;
	int LSC_POP_PDV1_RF17_AWHITEN_SET1;
	int LSC_POP_PDV1_RF17_AWHITEN_SET2;
	int LSC_POP_PDV1_RF17_AWHITEN_SET3;
	double LSC_POP_PDV1_RF17_I_MON;
	double LSC_POP_PDV1_RF17_I_NORM_MON;
	double LSC_POP_PDV1_RF17_PHASE[2][2];
	double LSC_POP_PDV1_RF17_Q_MON;
	double LSC_POP_PDV1_RF17_Q_NORM_MON;
	int LSC_POP_PDV1_RF45_AWHITEN_SET1;
	int LSC_POP_PDV1_RF45_AWHITEN_SET2;
	int LSC_POP_PDV1_RF45_AWHITEN_SET3;
	double LSC_POP_PDV1_RF45_I_MON;
	double LSC_POP_PDV1_RF45_I_NORM_MON;
	double LSC_POP_PDV1_RF45_PHASE[2][2];
	double LSC_POP_PDV1_RF45_Q_MON;
	double LSC_POP_PDV1_RF45_Q_NORM_MON;
	double LSC_POP_PDA2_DC_NORM_MON;
	int LSC_POP_PDA2_RF34_AWHITEN_SET1;
	int LSC_POP_PDA2_RF34_AWHITEN_SET2;
	int LSC_POP_PDA2_RF34_AWHITEN_SET3;
	double LSC_POP_PDA2_RF34_I_MON;
	double LSC_POP_PDA2_RF34_I_NORM_MON;
	double LSC_POP_PDA2_RF34_PHASE[2][2];
	double LSC_POP_PDA2_RF34_Q_MON;
	double LSC_POP_PDA2_RF34_Q_NORM_MON;
	int LSC_POP_PDA2_RF90_AWHITEN_SET1;
	int LSC_POP_PDA2_RF90_AWHITEN_SET2;
	int LSC_POP_PDA2_RF90_AWHITEN_SET3;
	double LSC_POP_PDA2_RF90_I_MON;
	double LSC_POP_PDA2_RF90_I_NORM_MON;
	double LSC_POP_PDA2_RF90_PHASE[2][2];
	double LSC_POP_PDA2_RF90_Q_MON;
	double LSC_POP_PDA2_RF90_Q_NORM_MON;
	double LSC_POP_PDA1_DC_NORM_MON;
	int LSC_POP_PDA1_RF17_AWHITEN_SET1;
	int LSC_POP_PDA1_RF17_AWHITEN_SET2;
	int LSC_POP_PDA1_RF17_AWHITEN_SET3;
	double LSC_POP_PDA1_RF17_I_MON;
	double LSC_POP_PDA1_RF17_I_NORM_MON;
	double LSC_POP_PDA1_RF17_PHASE[2][2];
	double LSC_POP_PDA1_RF17_Q_MON;
	double LSC_POP_PDA1_RF17_Q_NORM_MON;
	int LSC_POP_PDA1_RF45_AWHITEN_SET1;
	int LSC_POP_PDA1_RF45_AWHITEN_SET2;
	int LSC_POP_PDA1_RF45_AWHITEN_SET3;
	double LSC_POP_PDA1_RF45_I_MON;
	double LSC_POP_PDA1_RF45_I_NORM_MON;
	double LSC_POP_PDA1_RF45_PHASE[2][2];
	double LSC_POP_PDA1_RF45_Q_MON;
	double LSC_POP_PDA1_RF45_Q_NORM_MON;
	double LSC_OMCT_PDV1_DC_NORM_MON;
	double LSC_OMCT_PDA1_DC_NORM_MON;
	double LSC_MICH_TRIG_THRESH_ON;
	double LSC_MICH_TRIG_THRESH_OFF;
	double LSC_MICH_TRIG_MON;
	double LSC_MICH_TRIG_INMON;
	double LSC_MICH_MASK_MON;
	double LSC_MICH_MASK_FM9;
	double LSC_MICH_MASK_FM8;
	double LSC_MICH_MASK_FM7;
	double LSC_MICH_MASK_FM6;
	double LSC_MICH_MASK_FM5;
	double LSC_MICH_MASK_FM4;
	double LSC_MICH_MASK_FM3;
	double LSC_MICH_MASK_FM2;
	double LSC_MICH_MASK_FM10;
	double LSC_MICH_MASK_FM1;
	double LSC_MICH_FM_TRIG_WAIT;
	double LSC_MICH_FM_TRIG_THRESH_ON;
	double LSC_MICH_FM_TRIG_THRESH_OFF;
	double LSC_MICH_FM_TRIG_MON_WORD;
	double LSC_MICH_FM_TRIG_MON;
	int LSC_MICH_FM_TRIG_INVERT;
	double LSC_DIFF_TRIG_THRESH_ON;
	double LSC_DIFF_TRIG_THRESH_OFF;
	double LSC_DIFF_TRIG_MON;
	double LSC_DIFF_TRIG_INMON;
	double LSC_DIFF_MASK_MON;
	double LSC_DIFF_MASK_FM9;
	double LSC_DIFF_MASK_FM8;
	double LSC_DIFF_MASK_FM7;
	double LSC_DIFF_MASK_FM6;
	double LSC_DIFF_MASK_FM5;
	double LSC_DIFF_MASK_FM4;
	double LSC_DIFF_MASK_FM3;
	double LSC_DIFF_MASK_FM2;
	double LSC_DIFF_MASK_FM10;
	double LSC_DIFF_MASK_FM1;
	double LSC_DIFF_FM_TRIG_WAIT;
	double LSC_DIFF_FM_TRIG_THRESH_ON;
	double LSC_DIFF_FM_TRIG_THRESH_OFF;
	double LSC_DIFF_FM_TRIG_MON_WORD;
	double LSC_DIFF_FM_TRIG_MON;
	int LSC_DIFF_FM_TRIG_INVERT;
	double LSC_COMM_TRIG_THRESH_ON;
	double LSC_COMM_TRIG_THRESH_OFF;
	double LSC_COMM_TRIG_MON;
	double LSC_COMM_TRIG_INMON;
	double LSC_COMM_MASK_MON;
	double LSC_COMM_MASK_FM9;
	double LSC_COMM_MASK_FM8;
	double LSC_COMM_MASK_FM7;
	double LSC_COMM_MASK_FM6;
	double LSC_COMM_MASK_FM5;
	double LSC_COMM_MASK_FM4;
	double LSC_COMM_MASK_FM3;
	double LSC_COMM_MASK_FM2;
	double LSC_COMM_MASK_FM10;
	double LSC_COMM_MASK_FM1;
	double LSC_COMM_FM_TRIG_WAIT;
	double LSC_COMM_FM_TRIG_THRESH_ON;
	double LSC_COMM_FM_TRIG_THRESH_OFF;
	double LSC_COMM_FM_TRIG_MON_WORD;
	double LSC_COMM_FM_TRIG_MON;
	int LSC_COMM_FM_TRIG_INVERT;
	double LSC_AS_PDV1_DC_NORM_MON;
	int LSC_AS_PDV1_RF17_AWHITEN_SET1;
	int LSC_AS_PDV1_RF17_AWHITEN_SET2;
	int LSC_AS_PDV1_RF17_AWHITEN_SET3;
	double LSC_AS_PDV1_RF17_I_MON;
	double LSC_AS_PDV1_RF17_I_NORM_MON;
	double LSC_AS_PDV1_RF17_PHASE[2][2];
	double LSC_AS_PDV1_RF17_Q_MON;
	double LSC_AS_PDV1_RF17_Q_NORM_MON;
	double LSC_AS_PDA1_DC_NORM_MON;
	int LSC_AS_PDA1_RF17_AWHITEN_SET1;
	int LSC_AS_PDA1_RF17_AWHITEN_SET2;
	int LSC_AS_PDA1_RF17_AWHITEN_SET3;
	double LSC_AS_PDA1_RF17_I_MON;
	double LSC_AS_PDA1_RF17_I_NORM_MON;
	double LSC_AS_PDA1_RF17_PHASE[2][2];
	double LSC_AS_PDA1_RF17_Q_MON;
	double LSC_AS_PDA1_RF17_Q_NORM_MON;
	double LSC_ASPD_DOF_MTRX[5][3];
	int LSC_CONTROL_ENABLE;
	double LSC_OUTPUT_MTRX[11][5];
	double LSC_PD_DOF_MTRX[5][44];
	double LSC_POW_NORM_MTRX[5][21];
	double LSC_TRIG_MTRX[5][22];
} LSC;



#define MAX_MODULES 	 58
#define MAX_FILTERS 	 580

typedef struct CDS_EPICS {
	CDS_EPICS_IN epicsInput;
	CDS_EPICS_OUT epicsOutput;
	LSC lsc;
} CDS_EPICS;
#define TARGET_HOST_NAME k1lsc
#endif
