#ifndef K1MCL_H_INCLUDED
#define K1MCL_H_INCLUDED
#define SYSTEM_NAME_STRING_LOWER "k1mcl"
#define IMC_F 	 0
#define IMC_I 	 1
#define IMC_L 	 2
#define IMC_MCL 	 3
#define IMC_REFL_DC 	 4
#define IMC_TRANS 	 5
#define PCIETST 	 6
#define REFL_SERVO_COMOFSCLB 	 7
#define REFL_SERVO_FLTFASTMON 	 8
#define REFL_SERVO_FLTSLOWFBMON 	 9
#define REFL_SERVO_FLTSLOWMON 	 10
#define REFL_SERVO_FLTSPLITMON 	 11
#define REFL_SERVO_FLTSUMMON 	 12
#define REFL_SERVO_SLOWOFSCLB 	 13
#define REFL_SERVO_SLOWOUTOFSCLB 	 14
#define MAX_FIR 	 0
#define MAX_FIR_POLY 	 0

#define BUILD_SVN_VERSION_NO 	 "3398M"

typedef struct CDS_EPICS_IN {
	int vmeReset;
	int ipcDiagReset;
	int burtRestore;
	int dcuId;
	int diagReset;
	int dacDuoSet;
	int overflowReset;
} CDS_EPICS_IN;

typedef struct CDS_EPICS_OUT {
	int epicsSync;
	int timeErr;
	int adcWaitTime;
	int diagWord;
	int timeDiag;
	int cpuMeter;
	int cpuMeterMax;
	int gdsMon[32];
	int diags[15];
	int overflowAdc[12][32];
	int overflowDac[12][16];
	int dacValue[12][16];
	int ovAccum;
	int statAdc[16];
	int statDac[16];
	int awgtpmanGPS;
	int tpCnt;
	int stateWord;
	int dcuId;
	int cycle;
} CDS_EPICS_OUT;

typedef struct MCL {
	double IMC_MCL_TRIG_THRESH_ON;
	double IMC_MCL_TRIG_THRESH_OFF;
	double IMC_MCL_TRIG_MON;
	double IMC_MCL_TRIG_INMON;
	double IMC_MCL_MASK_MON;
	double IMC_MCL_MASK_FM9;
	double IMC_MCL_MASK_FM8;
	double IMC_MCL_MASK_FM7;
	double IMC_MCL_MASK_FM6;
	double IMC_MCL_MASK_FM5;
	double IMC_MCL_MASK_FM4;
	double IMC_MCL_MASK_FM3;
	double IMC_MCL_MASK_FM2;
	double IMC_MCL_MASK_FM10;
	double IMC_MCL_MASK_FM1;
	double IMC_MCL_FM_TRIG_WAIT;
	double IMC_MCL_FM_TRIG_THRESH_ON;
	double IMC_MCL_FM_TRIG_THRESH_OFF;
	double IMC_MCL_FM_TRIG_MON_WORD;
	double IMC_MCL_FM_TRIG_MON;
	int IMC_MCL_FM_TRIG_INVERT;
	double IMC_FRINGE_THRESH;
	double IMC_FRINGE_COUNT;
	double IMC_MCL_OUTPUT_MTRX[3][1];
	int REFL_SERVO_COMBOOST;
	int REFL_SERVO_COMCOMP;
	int REFL_SERVO_COMEXCEN;
	int REFL_SERVO_COMFILTER;
	double REFL_SERVO_COMOFS;
	int REFL_SERVO_COMOPT;
	int REFL_SERVO_FASTEN;
	int REFL_SERVO_FASTEXCEN;
	double REFL_SERVO_FASTGAIN;
	double REFL_SERVO_FASTMON;
	int REFL_SERVO_FASTOPT;
	int REFL_SERVO_FASTPOL;
	int REFL_SERVO_IN1EN;
	double REFL_SERVO_IN1GAIN;
	int REFL_SERVO_IN1POL;
	int REFL_SERVO_IN2EN;
	double REFL_SERVO_IN2GAIN;
	int REFL_SERVO_IN2POL;
	int REFL_SERVO_OUTSW;
	int REFL_SERVO_SLOWBOOST;
	int REFL_SERVO_SLOWBYPASS;
	int REFL_SERVO_SLOWCOMP;
	int REFL_SERVO_SLOWEXCEN;
	double REFL_SERVO_SLOWFBMON;
	int REFL_SERVO_SLOWFILTER;
	double REFL_SERVO_SLOWMON;
	double REFL_SERVO_SLOWOFS;
	int REFL_SERVO_SLOWOFS5V;
	int REFL_SERVO_SLOWOFSEN;
	int REFL_SERVO_SLOWOPT;
	double REFL_SERVO_SLOWOUTOFS;
	int REFL_SERVO_SLOWPOL;
	double REFL_SERVO_SPLITMON;
	double REFL_SERVO_SUMMON;
} MCL;



#define MAX_MODULES 	 15
#define MAX_FILTERS 	 150

typedef struct CDS_EPICS {
	CDS_EPICS_IN epicsInput;
	CDS_EPICS_OUT epicsOutput;
	MCL mcl;
} CDS_EPICS;
#define TARGET_HOST_NAME k1ioo
#endif
