#ifndef K1PSL_H_INCLUDED
#define K1PSL_H_INCLUDED
#define SYSTEM_NAME_STRING_LOWER "k1psl"
#define FSS_TEMP_SEARCH_LOOP 	 0
#define FSS_TEMP_LOOP 	 1
#define FSS_COMMON_GAIN_CALI 	 2
#define FSS_FAST_GAIN_CALI 	 3
#define FSS_FAST_MON 	 4
#define FSS_FAST_RAMP_INJECTION 	 5
#define FSS_LOOP_CLOSED 	 6
#define FSS_LO_POWER_MON 	 7
#define FSS_MIXER 	 8
#define FSS_MIXER_OFS_CALI 	 9
#define FSS_MIXER_OFS_MOD_LOWPASS 	 10
#define FSS_NPRO_TEMP 	 11
#define FSS_PC_MON 	 12
#define FSS_REFL_DC 	 13
#define FSS_SLOW_MON 	 14
#define FSS_TEST1_ON_CALI 	 15
#define FSS_TEST2_ON_CALI 	 16
#define FSS_TRANS_DC 	 17
#define PMC_TEMP_SEARCH_LOOP 	 18
#define PMC_TEMP_LOOP 	 19
#define PMC_COMMON_GAIN_CALI 	 20
#define PMC_FAST_GAIN_CALI 	 21
#define PMC_FAST_MON 	 22
#define PMC_LOOP_CLOSED 	 23
#define PMC_LO_POWER_MON 	 24
#define PMC_MIXER 	 25
#define PMC_MIXER_OFS_CALI 	 26
#define PMC_MIXER_OFS_MOD_LOWPASS 	 27
#define PMC_PMC_TEMP 	 28
#define PMC_PMC_TEMP_LOOP_CALI_TEST 	 29
#define PMC_PMC_TEMP_LOOP_TEST 	 30
#define PMC_REFL_DC 	 31
#define PMC_SLOW_MON 	 32
#define PMC_TRANS_DC 	 33
#define MAX_FIR 	 0
#define MAX_FIR_POLY 	 0

#define BUILD_SVN_VERSION_NO 	 "3398M"

typedef struct CDS_EPICS_IN {
	int vmeReset;
	int ipcDiagReset;
	int burtRestore;
	int dcuId;
	int diagReset;
	int dacDuoSet;
	int overflowReset;
} CDS_EPICS_IN;

typedef struct CDS_EPICS_OUT {
	int epicsSync;
	int timeErr;
	int adcWaitTime;
	int diagWord;
	int timeDiag;
	int cpuMeter;
	int cpuMeterMax;
	int gdsMon[32];
	int diags[15];
	int overflowAdc[12][32];
	int overflowDac[12][16];
	int dacValue[12][16];
	int ovAccum;
	int statAdc[16];
	int statDac[16];
	int awgtpmanGPS;
	int tpCnt;
	int stateWord;
	int dcuId;
	int cycle;
} CDS_EPICS_OUT;

typedef struct PSL {
	double FSS_TEMP_SEARCH_RAMP_MIN;
	double FSS_TEMP_SEARCH_RAMP_MAX;
	double FSS_TEMP_SEARCH_RAMP_DUR;
	double FSS_TEMP_SEARCH_MODEFOUND;
	double FSS_TEMP_MODE_REQUEST;
	double FSS_TEMP_MODE;
	double FSS_TEMP_MANUAL;
	double FSS_TEMP_LOOP_ON_REQUEST;
	double FSS_TEMP_LOOP_ON;
	int FSS_TEMP_LOOP_MASK;
	double FSS_TEMP_FIXEDRAMP_MIN;
	double FSS_TEMP_FIXEDRAMP_MAX;
	double FSS_TEMP_FIXEDRAMP_DUR;
	double FSS_RELOCK_RESET;
	double FSS_RELOCK_MIN;
	double FSS_RELOCK_HOUR;
	double FSS_RELOCK_DUR;
	double FSS_RELOCK_DAY;
	double FSS_RELOCK_COUNT;
	double FSS_PZT_RAMP_PHASEPOS;
	double FSS_PZT_RAMP_PHASE;
	double FSS_PZT_RAMP_MODEPOS;
	double FSS_PZT_RAMP_MIN;
	double FSS_PZT_RAMP_MAX;
	double FSS_PZT_RAMP_FRQ;
	double FSS_PZT_RAMP_ACTIVE;
	double FSS_AUTOLOCK_STATE;
	double FSS_AUTOLOCK_DELAY3;
	double FSS_AUTOLOCK_DELAY2;
	double FSS_AUTOLOCK_DELAY1;
	double FSS_AUTOLOCK_ON;
	double FSS_COMMON_GAIN;
	double FSS_ERR_PP;
	double FSS_FAST_GAIN;
	double FSS_GOOD_TEMP;
	double FSS_LOOP_CLOSED2;
	double FSS_LOOP_MODE;
	double FSS_MIXER_OFS;
	double FSS_MIXER_OFS_MOD_FREQ;
	double FSS_MIXER_OFS_MOD_CLKGAIN;
	double FSS_MIXER_OFS_MOD_SINGAIN;
	double FSS_MIXER_OFS_MOD_COSGAIN;
	double FSS_MIXER_OFS_MOD_TRAMP;
	double FSS_MIXER_OFS_MOD_AMP;
	double FSS_MIXER_OFS_MOD_PHASE[2];
	double FSS_OSCILLATION;
	double FSS_OSCILLATION_THRES;
	double FSS_PC_PP;
	double FSS_RESONANT;
	double FSS_RESONANT_THRES;
	double FSS_TEST1_ON;
	double FSS_TEST2_ON;
	double FSS_TRANS_DC_PP;
	double PMC_TEMP_SEARCH_RAMP_MIN;
	double PMC_TEMP_SEARCH_RAMP_MAX;
	double PMC_TEMP_SEARCH_RAMP_DUR;
	double PMC_TEMP_SEARCH_MODEFOUND;
	double PMC_TEMP_MODE_REQUEST;
	double PMC_TEMP_MODE;
	double PMC_TEMP_MANUAL;
	double PMC_TEMP_LOOP_ON_REQUEST;
	double PMC_TEMP_LOOP_ON;
	int PMC_TEMP_LOOP_MASK;
	double PMC_TEMP_FIXEDRAMP_MIN;
	double PMC_TEMP_FIXEDRAMP_MAX;
	double PMC_TEMP_FIXEDRAMP_DUR;
	double PMC_RELOCK_RESET;
	double PMC_RELOCK_MIN;
	double PMC_RELOCK_HOUR;
	double PMC_RELOCK_DUR;
	double PMC_RELOCK_DAY;
	double PMC_RELOCK_COUNT;
	double PMC_PZT_RAMP_PHASEPOS;
	double PMC_PZT_RAMP_PHASE;
	double PMC_PZT_RAMP_MODEPOS;
	double PMC_PZT_RAMP_MIN;
	double PMC_PZT_RAMP_MAX;
	double PMC_PZT_RAMP_FRQ;
	double PMC_PZT_RAMP_ACTIVE;
	double PMC_AUTOLOCK_STATE;
	double PMC_AUTOLOCK_DELAY3;
	double PMC_AUTOLOCK_DELAY2;
	double PMC_AUTOLOCK_DELAY1;
	double PMC_AUTOLOCK_ON;
	double PMC_COMMON_GAIN;
	double PMC_ERR_PP;
	double PMC_FAST_GAIN;
	double PMC_GOOD_TEMP;
	double PMC_LOOP_CLOSED2;
	double PMC_LOOP_MODE;
	double PMC_MIXER_OFS;
	double PMC_MIXER_OFS_MOD_FREQ;
	double PMC_MIXER_OFS_MOD_CLKGAIN;
	double PMC_MIXER_OFS_MOD_SINGAIN;
	double PMC_MIXER_OFS_MOD_COSGAIN;
	double PMC_MIXER_OFS_MOD_TRAMP;
	double PMC_MIXER_OFS_MOD_AMP;
	double PMC_MIXER_OFS_MOD_PHASE[2];
	double PMC_OSCILLATION;
	double PMC_OSCILLATION_THRES;
	double PMC_PMC_TEMP_TEST;
	int PMC_RAMP_ON;
	double PMC_RESONANT;
	double PMC_RESONANT_THRES;
	int PMC_TEST1_ON;
	int PMC_TEST2_ON;
	double PMC_TRANS_DC_PP;
} PSL;



#define MAX_MODULES 	 34
#define MAX_FILTERS 	 340

typedef struct CDS_EPICS {
	CDS_EPICS_IN epicsInput;
	CDS_EPICS_OUT epicsOutput;
	PSL psl;
} CDS_EPICS;
#define TARGET_HOST_NAME k1ioo
#endif
